Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_hgr.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_hgr.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_hgr.F90	(revision 8877)
@@ -30,5 +30,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_istate.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_istate.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_istate.F90	(revision 8877)
@@ -28,5 +28,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_nam.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_nam.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/ISOMIP/MY_SRC/usrdef_nam.F90	(revision 8877)
@@ -36,5 +36,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_hgr.F90	(revision 8877)
@@ -29,5 +29,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_istate.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_istate.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_istate.F90	(revision 8877)
@@ -27,5 +27,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_nam.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_nam.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/LOCK_EXCHANGE/MY_SRC/usrdef_nam.F90	(revision 8877)
@@ -33,5 +33,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_hgr.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_hgr.F90	(revision 8877)
@@ -29,5 +29,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_istate.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_istate.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_istate.F90	(revision 8877)
@@ -27,5 +27,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.7 , NEMO Consortium (2014)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_nam.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_nam.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/OVERFLOW/MY_SRC/usrdef_nam.F90	(revision 8877)
@@ -34,5 +34,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_hgr.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_hgr.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_hgr.F90	(revision 8877)
@@ -29,5 +29,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_nam.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_nam.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/SAS_BIPER/MY_SRC/usrdef_nam.F90	(revision 8877)
@@ -34,5 +34,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/bdyini.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/bdyini.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/bdyini.F90	(revision 8877)
@@ -48,5 +48,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.7 , NEMO Consortium (2015)
-   !! $Id: bdyini.F90 7421 2016-12-01 17:10:41Z flavoni $ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/domain.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/domain.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/domain.F90	(revision 8877)
@@ -56,5 +56,5 @@
    !!-------------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id: domain.F90 7587 2017-01-20 15:17:56Z acc $
+   !! $Id$
    !! Software governed by the CeCILL licence        (NEMOGCM/NEMO_CeCILL.txt)
    !!-------------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_hgr.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_hgr.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_hgr.F90	(revision 8877)
@@ -29,5 +29,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_istate.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_istate.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_istate.F90	(revision 8877)
@@ -28,5 +28,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_nam.F90
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_nam.F90	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/TEST_CASES/WAD/MY_SRC/usrdef_nam.F90	(revision 8877)
@@ -34,5 +34,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/makenemo
===================================================================
--- branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/makenemo	(revision 8876)
+++ branches/UKMO/dev_r8126_LIM3_couple/NEMOGCM/CONFIG/makenemo	(revision 8877)
@@ -75,5 +75,5 @@
 # ==========
 #
-# $Id$
+# $Id: makenemo 7756 2017-03-03 13:32:40Z timgraham $
 #
 #