Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv_umx.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv_umx.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icedyn_adv_umx.F90	(revision 8885)
@@ -24,5 +24,4 @@
    USE lib_fortran    ! fortran utilities (glob_sum + no signed zero)
    USE lbclnk         ! lateral boundary conditions (or mpp links)
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -261,6 +260,4 @@
       !!----------------------------------------------------------------------
       !
-!!      IF( nn_timing == 1 )  CALL timing_start('macho')
-      !
       IF( MOD( (kt - 1) / nn_fsbc , 2 ) == 0 ) THEN         !==  odd ice time step:  adv_x then adv_y  ==!
          !
@@ -301,6 +298,4 @@
       ENDIF      
       !
-!!      IF( nn_timing == 1 )  CALL timing_stop('macho')
-      !
    END SUBROUTINE macho
 
@@ -327,6 +322,4 @@
       REAL(wp), DIMENSION(jpi,jpj) :: ztu1, ztu2, ztu3, ztu4
       !!----------------------------------------------------------------------
-      !
-!!      IF( nn_timing == 1 )  CALL timing_start('ultimate_x')
       !
       !                                                     !--  Laplacian in i-direction  --!
@@ -423,6 +416,4 @@
       END SELECT
       !
-!!      IF( nn_timing == 1 )  CALL timing_stop('ultimate_x')
-      !
    END SUBROUTINE ultimate_x
    
@@ -449,6 +440,4 @@
       REAL(wp), DIMENSION(jpi,jpj) :: ztv1, ztv2, ztv3, ztv4
       !!----------------------------------------------------------------------
-      !
-!!      IF( nn_timing == 1 )  CALL timing_start('ultimate_y')
       !
       !                                                     !--  Laplacian in j-direction  --!
@@ -543,6 +532,4 @@
       END SELECT
       !
-!!      IF( nn_timing == 1 )  CALL timing_stop('ultimate_y')
-      !
    END SUBROUTINE ultimate_y
    
@@ -572,10 +559,8 @@
       !!----------------------------------------------------------------------
       !
-!!      IF( nn_timing == 1 )  CALL timing_start('nonosc_2d')
-      !
       zbig = 1.e+40_wp
       zsml = 1.e-15_wp
 
-      ! clem test
+      ! test on divergence
       DO jj = 2, jpjm1
          DO ji = fs_2, fs_jpim1   ! vector opt.  
@@ -646,6 +631,4 @@
       END DO
       !
-!!      IF( nn_timing == 1 )  CALL timing_stop('nonosc_2d')
-      !
    END SUBROUTINE nonosc_2d
 
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/iceistate.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/iceistate.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/iceistate.F90	(revision 8885)
@@ -226,6 +226,6 @@
                         zh_i_ini(ji,jj,i_fill) = ( zvt_i_ini(ji,jj) - zV ) / MAX( za_i_ini(ji,jj,i_fill), epsi10 ) 
 
-                        ! clem: correction if concentration of upper cat is greater than lower cat
-                        !       (it should be a gaussian around jl0 but sometimes it is not)
+                        ! correction if concentration of upper cat is greater than lower cat
+                        !   (it should be a gaussian around jl0 but sometimes it is not)
                         IF ( jl0 /= jpl ) THEN
                            DO jl = jpl, jl0+1, -1
@@ -471,8 +471,7 @@
       v_ice_b(:,:)     = v_ice(:,:)
 
-!!!clem
-!!      ! Output the initial state and forcings
+!!clem: output of initial state should be written here but it is impossible because
+!!      the ocean and ice are in the same file
 !!      CALL dia_wri_state( 'output.init', nit000 )
-!!!      
       !
    END SUBROUTINE ice_istate
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8885)
@@ -231,5 +231,5 @@
                            h_i_1d(ji) = h_i_1d(ji) * a_i_1d(ji) / ( a_i_1d(ji) - zda0 )
                            a_i_1d(ji)  = a_i_1d(ji) - zda0
-                           v_i_1d(ji)  = a_i_1d(ji) * h_i_1d(ji) ! clem-useless ?
+                           v_i_1d(ji)  = a_i_1d(ji) * h_i_1d(ji) ! useless ?
                         ENDIF
                         !
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icethd_dh.F90	(revision 8885)
@@ -270,5 +270,5 @@
       !------------------------------
       ! qla_ice is always >=0 (upwards), heat goes to the atmosphere, therefore snow sublimates
-      ! clem comment: not counted in mass/heat exchange in iceupdate.F90 since this is an exchange with atm. (not ocean)
+      !    comment: not counted in mass/heat exchange in iceupdate.F90 since this is an exchange with atm. (not ocean)
       zdeltah(1:npti,:) = 0._wp
       DO ji = 1, npti
@@ -332,5 +332,5 @@
                hfx_res_1d(ji) = hfx_res_1d(ji) + zfmdt * a_i_1d(ji) * zEi * r1_rdtice
                
-               ! Contribution to salt flux (clem: using s_i_1d and not sz_i_1d(jk) is ok)
+               ! Contribution to salt flux (using s_i_1d and not sz_i_1d(jk) is ok)
                sfx_res_1d(ji) = sfx_res_1d(ji) - rhoic * a_i_1d(ji) * zdeltah(ji,jk) * s_i_1d(ji) * r1_rdtice
                
@@ -358,5 +358,5 @@
                zQm            = zfmdt * zEw                           ! Energy of the melt water sent to the ocean [J/m2, <0]
                
-               ! Contribution to salt flux >0 (clem: using s_i_1d and not sz_i_1d(jk) is ok)
+               ! Contribution to salt flux >0 (using s_i_1d and not sz_i_1d(jk) is ok)
                sfx_sum_1d(ji) = sfx_sum_1d(ji) - rhoic * a_i_1d(ji) * zdeltah(ji,jk) * s_i_1d(ji) * r1_rdtice
                
@@ -377,5 +377,5 @@
             zdeltah(ji,jk) = zdeltah(ji,jk) + zdum
             dh_i_sub(ji)  = dh_i_sub(ji) + zdum
-            ! Salt flux > 0 (clem2016: flux is sent to the ocean for simplicity but salt should remain in the ice except if all ice is melted.
+            ! Salt flux > 0 (clem: flux is sent to the ocean for simplicity but salt should remain in the ice except if all ice is melted.
             !                          It must be corrected at some point)
             sfx_sub_1d(ji) = sfx_sub_1d(ji) - rhoic * a_i_1d(ji) * zdum * s_i_1d(ji) * r1_rdtice
@@ -526,5 +526,5 @@
                   hfx_res_1d(ji) = hfx_res_1d(ji) + zfmdt * a_i_1d(ji) * zEi * r1_rdtice
 
-                  ! Contribution to salt flux (clem: using s_i_1d and not sz_i_1d(jk) is ok)
+                  ! Contribution to salt flux (using s_i_1d and not sz_i_1d(jk) is ok)
                   sfx_res_1d(ji) = sfx_res_1d(ji) - rhoic * a_i_1d(ji) * zdeltah(ji,jk) * s_i_1d(ji) * r1_rdtice
                                     
@@ -559,5 +559,5 @@
                   hfx_thd_1d(ji)  = hfx_thd_1d(ji) + zfmdt * a_i_1d(ji) * zEw * r1_rdtice
 
-                  ! Contribution to salt flux (clem: using s_i_1d and not sz_i_1d(jk) is ok)
+                  ! Contribution to salt flux (using s_i_1d and not sz_i_1d(jk) is ok)
                   sfx_bom_1d(ji)  = sfx_bom_1d(ji) - rhoic *  a_i_1d(ji) * zdeltah(ji,jk) * s_i_1d(ji) * r1_rdtice
                   
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/LIM_SRC_3/icevar.F90	(revision 8885)
@@ -615,6 +615,6 @@
                   zh_i(ji,i_fill) = ( zhti(ji) * zati(ji) - zV ) / MAX( za_i(ji,i_fill), epsi10 ) 
                   !
-                  ! clem: correction if concentration of upper cat is greater than lower cat
-                  !       (it should be a gaussian around jl0 but sometimes it is not)
+                  ! correction if concentration of upper cat is greater than lower cat
+                  !    (it should be a gaussian around jl0 but sometimes it is not)
                   IF ( jl0 /= jpl ) THEN
                      DO jl = jpl, jl0+1, -1
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/NST_SRC/agrif_lim3_interp.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/NST_SRC/agrif_lim3_interp.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/NST_SRC/agrif_lim3_interp.F90	(revision 8885)
@@ -52,5 +52,5 @@
       !!-----------------------------------------------------------------------
       !
-      IF( Agrif_Root() .OR. nn_ice==0 )  RETURN   ! clem2017: do not interpolate if inside Parent domain or if child domain does not have ice
+      IF( Agrif_Root() .OR. nn_ice==0 )  RETURN   ! do not interpolate if inside Parent domain or if child domain does not have ice
       !
       SELECT CASE( cd_type )
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/NST_SRC/agrif_lim3_update.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/NST_SRC/agrif_lim3_update.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/NST_SRC/agrif_lim3_update.F90	(revision 8885)
@@ -54,5 +54,5 @@
       IF( ( MOD( (kt-nit000)/nn_fsbc + 1, Agrif_irhot() * Agrif_Parent(nn_fsbc) / nn_fsbc ) /=0 ) .AND. (kt /= 0) ) RETURN ! do not update if nb of child time steps differ from time refinement
                                                                                                                            ! i.e. update only at the parent time step
-      IF( nn_ice == 0 ) RETURN   ! clem2017: do not update if child domain does not have ice
+      IF( nn_ice == 0 ) RETURN   ! do not update if child domain does not have ice
       !
       Agrif_SpecialValueFineGrid    = -9999.
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/BDY/bdyini.F90	(revision 8885)
@@ -502,6 +502,4 @@
             DO igrd = 1, jpbgrd
                id_dummy = iom_varid( inum, 'nbi'//cgrid(igrd), kdimsz=kdimsz )  
-               !clem nblendta(igrd,ib_bdy) = kdimsz(1)
-               !clem jpbdtau = MAX(jpbdtau, kdimsz(1))
                nblendta(igrd,ib_bdy) = MAXVAL(kdimsz)
                jpbdtau = MAX(jpbdtau, MAXVAL(kdimsz))
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/DIA/diawri.F90	(revision 8885)
@@ -249,5 +249,5 @@
       ENDIF
          
-      ! clem: heat and salt content
+      ! heat and salt contents
       IF( iom_use("heatc") ) THEN
          z2d(:,:)  = 0._wp 
@@ -967,5 +967,5 @@
 
 #if defined key_lim3
-      IF( nn_ice == 2 ) THEN   ! clem2017: condition in case agrif + lim but no-ice in child grid
+      IF( nn_ice == 2 ) THEN   ! condition needed in case agrif + ice-model but no-ice in child grid
          CALL ice_wri_state( kt, id_i, nh_i )
       ENDIF
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcblk.F90	(revision 8885)
@@ -111,6 +111,6 @@
    LOGICAL  ::   ln_taudif      ! logical flag to use the "mean of stress module - module of mean stress" data
    REAL(wp) ::   rn_pfac        ! multiplication factor for precipitation
-   REAL(wp) ::   rn_efac        ! multiplication factor for evaporation (clem)
-   REAL(wp) ::   rn_vfac        ! multiplication factor for ice/ocean velocity in the calculation of wind stress (clem)
+   REAL(wp) ::   rn_efac        ! multiplication factor for evaporation
+   REAL(wp) ::   rn_vfac        ! multiplication factor for ice/ocean velocity in the calculation of wind stress
    REAL(wp) ::   rn_zqt         ! z(q,t) : height of humidity and temperature measurements
    REAL(wp) ::   rn_zu          ! z(u)   : height of wind measurements
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 8885)
@@ -312,8 +312,8 @@
       !
 #if defined key_lim3
-      IF( lk_agrif .AND. nn_ice == 0 ) THEN
-                          IF( sbc_ice_alloc() /= 0 )   CALL ctl_stop('STOP', 'sbc_ice_alloc : unable to allocate arrays' )  ! clem2017: allocate ice arrays in case agrif + lim + no-ice in child grid
+      IF( lk_agrif .AND. nn_ice == 0 ) THEN            ! allocate ice arrays in case agrif + ice-model + no-ice in child grid
+                          IF( sbc_ice_alloc() /= 0 )   CALL ctl_stop('STOP', 'sbc_ice_alloc : unable to allocate arrays' )
       ELSEIF( nn_ice == 2 ) THEN
-                          CALL ice_init                ! LIM3 initialization
+                          CALL ice_init                ! ICE initialization
       ENDIF
 #endif
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 8885)
@@ -203,5 +203,5 @@
 #if defined key_agrif
       CALL Agrif_ParentGrid_To_ChildGrid()
-      IF( ln_diaobs ) CALL dia_obs_wri
+      IF( ln_diaobs )        CALL dia_obs_wri
       IF( nn_timing == 1 )   CALL timing_finalize
       CALL Agrif_ChildGrid_To_ParentGrid()
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/SAS_SRC/diawri.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/SAS_SRC/diawri.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/SAS_SRC/diawri.F90	(revision 8885)
@@ -396,5 +396,5 @@
 
 #if defined key_lim3
-      IF( nn_ice == 2 ) THEN   ! clem2017: condition in case agrif + lim but no-ice in child grid
+      IF( nn_ice == 2 ) THEN   ! condition needed in case agrif + lim but no-ice in child grid
          CALL ice_wri_state( kt, id_i, nh_i )
       ENDIF
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 8885)
@@ -31,6 +31,6 @@
    USE icbini         ! handle bergs, initialisation
    USE icbstp         ! handle bergs, calving, themodynamics and transport
-   USE bdyini         ! open boundary cond. setting       (bdy_init routine). clem: mandatory for LIM3
-   USE bdydta         ! open boundary cond. setting   (bdy_dta_init routine). clem: mandatory for LIM3
+   USE bdyini         ! open boundary cond. setting       (bdy_init routine). mandatory for sea-ice
+   USE bdydta         ! open boundary cond. setting   (bdy_dta_init routine). mandatory for sea-ice
    !
    USE lib_mpp        ! distributed memory computing
@@ -132,9 +132,7 @@
       !
 #if defined key_agrif
-!!clem2017      IF( .NOT. Agrif_Root() ) THEN
          CALL Agrif_ParentGrid_To_ChildGrid()
          IF( ln_timing )   CALL timing_finalize
          CALL Agrif_ChildGrid_To_ParentGrid()
-!!clem2017      ENDIF
 #endif
       IF( ln_timing )   CALL timing_finalize
@@ -366,5 +364,5 @@
                            CALL sbc_init   ! Forcings : surface module 
 
-      ! ==> clem: open boundaries init. is mandatory for LIM3 because ice BDY is not decoupled from  
+      ! ==> clem: open boundaries init. is mandatory for sea-ice because ice BDY is not decoupled from  
       !           the environment of ocean BDY. Therefore bdy is called in both OPA and SAS modules. 
       !           This is not clean and should be changed in the future. 
@@ -511,5 +509,5 @@
       USE dom_oce   , ONLY: dom_oce_alloc
       USE bdy_oce   , ONLY: ln_bdy, bdy_oce_alloc
-      USE oce         ! clem: mandatory for LIM3 because needed for bdy arrays
+      USE oce       ! mandatory for sea-ice because needed for bdy arrays
       !
       INTEGER :: ierr
Index: /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/SAS_SRC/step.F90
===================================================================
--- /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/SAS_SRC/step.F90	(revision 8884)
+++ /branches/2017/dev_CNRS_2017/NEMOGCM/NEMO/SAS_SRC/step.F90	(revision 8885)
@@ -24,5 +24,5 @@
    USE diawri           ! Standard run outputs             (dia_wri routine)
    USE bdy_oce   , ONLY: ln_bdy
-   USE bdydta           ! clem: mandatory for ESIM
+   USE bdydta           ! mandatory for sea-ice
    USE stpctl           ! time stepping control            (stp_ctl routine)
    !
@@ -37,5 +37,5 @@
 
 #if defined key_agrif
-   USE agrif_oce, ONLY: lk_agrif_debug  !clem
+   USE agrif_oce, ONLY: lk_agrif_debug
 #endif
    
@@ -89,5 +89,5 @@
                              CALL iom_setkt( kstp - nit000 + 1, cxios_context )   ! tell iom we are at time step kstp
 
-      ! ==> clem: open boundaries is mandatory for ESIM because ice BDY is not decoupled from  
+      ! ==> clem: open boundaries is mandatory for sea-ice because ice BDY is not decoupled from  
       !           the environment of ocean BDY. Therefore bdy is called in both OPA and SAS modules.
       !           From SAS: ocean bdy data are wrong  (but we do not care) and ice bdy data are OK.  
@@ -114,5 +114,5 @@
                              CALL dia_wri_state( 'output.abort', kstp )
       ENDIF
-      IF( kstp == nit000   ) CALL iom_close( numror )     ! close input  ocean restart file (clem: not sure...)
+      IF( kstp == nit000   ) CALL iom_close( numror )     ! close input  ocean restart file
       
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>